
From: Nathan Lynch <nathanl@austin.ibm.com>

Otherwise it shows up under "iSeries device drivers", which doesn't seem
right.

Signed-off-by: Nathan Lynch <nathanl@austin.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/Kconfig       |   12 ------------
 25-akpm/arch/ppc64/Kconfig.debug |   12 ++++++++++++
 2 files changed, 12 insertions(+), 12 deletions(-)

diff -puN arch/ppc64/Kconfig~move-config_schedstats-to-arch-ppc64-kconfigdebug arch/ppc64/Kconfig
--- 25/arch/ppc64/Kconfig~move-config_schedstats-to-arch-ppc64-kconfigdebug	Tue Aug 17 15:31:12 2004
+++ 25-akpm/arch/ppc64/Kconfig	Tue Aug 17 15:31:12 2004
@@ -334,18 +334,6 @@ config VIOTAPE
 	  If you are running Linux on an iSeries system and you want Linux
 	  to read and/or write a tape drive owned by OS/400, say Y here.
 
-config SCHEDSTATS
-	bool "Collect scheduler statistics"
-	depends on DEBUG_KERNEL && PROC_FS
-	help
-	  If you say Y here, additional code will be inserted into the
-	  scheduler and related routines to collect statistics about
-	  scheduler behavior and provide them in /proc/schedstat.  These
-	  stats may be useful for both tuning and debugging the scheduler
-	  If you aren't debugging the scheduler or trying to tune a specific
-	  application, you can say N to avoid the very slight overhead
-	  this adds.
-
 endmenu
 
 config VIOPATH
diff -puN arch/ppc64/Kconfig.debug~move-config_schedstats-to-arch-ppc64-kconfigdebug arch/ppc64/Kconfig.debug
--- 25/arch/ppc64/Kconfig.debug~move-config_schedstats-to-arch-ppc64-kconfigdebug	Tue Aug 17 15:31:12 2004
+++ 25-akpm/arch/ppc64/Kconfig.debug	Tue Aug 17 15:31:12 2004
@@ -54,4 +54,16 @@ config SPINLINE
 
 	  If in doubt, say N.
 
+config SCHEDSTATS
+	bool "Collect scheduler statistics"
+	depends on DEBUG_KERNEL && PROC_FS
+	help
+	  If you say Y here, additional code will be inserted into the
+	  scheduler and related routines to collect statistics about
+	  scheduler behavior and provide them in /proc/schedstat.  These
+	  stats may be useful for both tuning and debugging the scheduler
+	  If you aren't debugging the scheduler or trying to tune a specific
+	  application, you can say N to avoid the very slight overhead
+	  this adds.
+
 endmenu
_
